List workspace invitations
curl --request GET \
--url https://service.abundly.ai/workspaceapi/invites \
--header 'Authorization: Bearer <token>'import requests
url = "https://service.abundly.ai/workspaceapi/invites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://service.abundly.ai/workspaceapi/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invites": [
{
"id": "<string>",
"type": "<string>",
"email": "<string>",
"customerId": "<string>",
"status": "<string>",
"createdAt": "<string>",
"expiresAt": "<string>",
"customerName": "<string>",
"customerRole": "<string>",
"isExpired": true,
"invitedByUserName": "<string>",
"displayName": "<string>",
"groups": [
{
"groupId": "<string>",
"role": "<string>"
}
],
"agentAccess": {
"agentId": "<string>",
"level": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
List workspace invitations
Pending and expired invitations, which doubles as a record of who was invited but never joined.
GET
/
workspaceapi
/
invites
List workspace invitations
Authorizations
Workspace API key (wk_). GET endpoints require the Workspace read API scope, POST, PUT, PATCH and DELETE endpoints the Workspace write API scope.
Response
Success. Empty result sets are also 200.
Pending and expired invitations, which doubles as a record of who was invited but never joined.
Show child attributes
Show child attributes

